#ifndef SECTION
#define SECTION(s, comment)
#endif
#ifndef COMMENT
#define COMMENT(comment)
#endif
#ifndef ENDSECTION
#define ENDSECTION(s)
#endif

SECTION(dir, "Base directories")
CFG_str(dir, execute, "c:\\System\\Execute\\", "The system bootstrap directory")
CFG_str(dir, system, "s:\\", "The system binary directory")
#ifdef MXM_APM2
CFG_str(dir, execute_firm, "c:\\Syetem\\Execute\\firm\\", "")
CFG_str(dir, firm, "s:\\firm\\", "")
#endif
CFG_str(dir, game, "x:\\", "The game working directory")
ENDSECTION(dir)

SECTION(binary, "Binaries that will be executed during startup")
CFG_str(binary, mxkeychip, "s:\\mxkeychip.exe", "")
CFG_str(binary, mxnetwork, "s:\\mxnetwork.exe -p 40104", "")
CFG_str(binary, mxstorage, "s:\\mxstorage.exe", "")
CFG_str(binary, mxjvs, "s:\\mxjvs.exe", "")
#ifdef MXM_APM2
CFG_str(binary, nxMount, "s:\\nxMount.exe", "")
CFG_str(binary, nxAuth, "c:\\System\\Execute\\nxAuth.exe", "")
#endif
CFG_str(binary, mxinstaller, "s:\\mxinstaller.exe -cmdport 40102 -binport 40103", "")
CFG_str(binary, mxgcatcher, "s:\\mxgcatcher.exe", "")
CFG_str(binary, mxgfetcher, "s:\\mxgfetcher.exe", "")
CFG_str(binary, mxgdeliver, "s:\\mxgdeliver.exe", "")
COMMENT("--------------------------------------------------")
COMMENT("The following values are relative to [dir.execute]")
CFG_str(binary, segaboot, "mxsegaboot.exe", "")
CFG_str(binary, segaboot_d, "mxsegaboot.exe -d", "")
CFG_str(binary, segaboot_r, "mxsegaboot.exe -r", "")
CFG_str(binary, segaboot_tr, "mxsegaboot.exe -t -r", "")
ENDSECTION(binary)

SECTION(env, "Environment configuration")
CFG_str(env, username, "appuser", "")
CFG_str(env, password, "segahard", "")
ENDSECTION(env)

#undef CFG_str
#undef CFG_int
#undef CFG_bool
#undef CFG_hex
#undef CFG_ipv4
#undef SECTION
#undef COMMENT
#undef ENDSECTION
